# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename pac-resolver

Name:               nodejs-pac-resolver
Version:            1.2.2
Release:            1%{?dist}
Summary:            Generates an asynchronous resolver function from a PAC file

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/pac-resolver
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(regenerator)
BuildRequires:      npm(netmask)
BuildRequires:      npm(degenerator)
BuildRequires:      npm(co)
BuildRequires:      npm(thunkify)

Requires:           npm(regenerator)
Requires:           npm(netmask)
Requires:           npm(degenerator)
Requires:           npm(co)
Requires:           npm(thunkify)

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
%endif


%description
This module accepts a JavaScript String of code, which is meant to be a
PAC proxy file, and returns a generated asynchronous `FindProxyForURL()`
function.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/pac-resolver
cp -pr package.json shExpMatch.js dateRange.js dnsResolve.js isResolvable.js timeRange.js weekdayRange.js localHostOrDomainIs.js dnsDomainIs.js myIpAddress.js dnsDomainLevels.js isPlainHostName.js isInNet.js index.js \
    %{buildroot}%{nodejs_sitelib}/pac-resolver

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
mocha --reporter spec
%endif


%files
%doc README.md
%{nodejs_sitelib}/pac-resolver/

%changelog
* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 1.2.2-1
- Initial packaging for Fedora.
